ros-kilted-mola-kernel (2.8.0-1noble) noble; urgency=high

  * Merge branch 'Zeal-Robotics-fix/map-source-latched-replay' into develop
  * chore: transient callbacks done with a copy of last updates
  * fix(mola_kernel): replay latched MapUpdates to late subscribers
    MapSourceBase::subscribeToMapUpdates() now caches the most recent
    MapUpdate per map_name whenever it was advertised with
    keep_last_one_only=true, and replays it once into any callback
    registered later. This mirrors ROS' transient_local durability at
    the MOLA-callback layer.
    Without this, a producer that advertises its initial map before a
    consumer has had a chance to subscribe (e.g. mola_lidar_odometry
    publishing the loaded .mm on its first scan, before
    mola_bridge_ros2::doLookForNewMolaSubs() has run for the first
    time) would silently lose that update. The race is more likely with
    small maps, where odometry initialization is fast enough to beat the
    bridge's first sub-discovery poll. With this change the late
    subscriber receives the cached update on registration, and the ROS
    publisher created by the bridge then carries the map onward via its
    existing transient_local QoS.
    Updates flagged with keep_last_one_only=false (e.g. deskewed
    scans) are intentionally not cached, matching their fire-and-forget
    semantics.
  * Contributors: Jose Luis Blanco-Claraco, Robin Van Cauwenbergh

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 28 Apr 2026 22:00:00 -0000

ros-kilted-mola-kernel (2.7.0-1noble) noble; urgency=high

  * Merge pull request #129 <https://github.com/MOLAorg/mola/issues/129> from MOLAorg/feat/ros2-diagnostics
    Feature: ROS2 diagnostics
  * feat(kernel): add DiagnosticsProvider interface for REP-107 diagnostics
    Introduce an opt-in mix-in interface for modules to publish structured,
    severity-tagged diagnostics, to be bridged to ROS 2 /diagnostics by
    mola_bridge_ros2 in a follow-up.
    Co-Authored-By: Claude Opus 4.7 <mailto:noreply@anthropic.com>
  * Merge pull request #121 <https://github.com/MOLAorg/mola/issues/121> from MOLAorg/fix/clean-up-old-mrpt-version-checks
    Clean up: remove old mrpt version fallback code sections
  * Bump minimum required MRPT version to 2.15.0
  * Clean up: remove old mrpt version fallback code sections
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 21 Apr 2026 22:00:00 -0000

ros-kilted-mola-kernel (2.6.1-1noble) noble; urgency=high

  * Merge pull request #116 <https://github.com/MOLAorg/mola/issues/116> from MOLAorg/update-rds-gui
    Update RDS gui creation to new backend agnostic API
  * RDS: Fix parsing initial window pos and width
  * Update RDS gui creation to new backend agnostic API
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 01 Apr 2026 22:00:00 -0000

ros-kilted-mola-kernel (2.6.0-1noble) noble; urgency=high

  * Merge pull request #113 <https://github.com/MOLAorg/mola/issues/113> from MOLAorg/feat/kf-map-view-vectors
    Feat:kf map view vectors filter for NN search
  * comments formatting
  * Merge pull request #109 <https://github.com/MOLAorg/mola/issues/109> from MOLAorg/feat/support-imgui
    Feature: GUI backend agnostic API in mola_kernel (Step towards supporting imgui)
  * safer multithread
  * Several visual and safety fixes in the new GUI interface
  * Add support for menu bars
  * VizInterface made backend agnostic (ImGUI and Nanogui)
  * Merge pull request #108 <https://github.com/MOLAorg/mola/issues/108> from MOLAorg/feat/use-gps-msgs
    Support gps_msgs data types too for ROS2
  * Support gps_msgs as alternative to NavSatFix
  * Merge pull request #107 <https://github.com/MOLAorg/mola/issues/107> from MOLAorg/fix/viz-decay-clouds
    Fix/viz-decay-clouds
  * fix typo in comments
  * Update coyright notes
  * fix clang-tidy warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 11 Mar 2026 23:00:00 -0000

ros-kilted-mola-kernel (2.5.0-1noble) noble; urgency=high

  * Merge pull request #104 <https://github.com/MOLAorg/mola/issues/104> from MOLAorg/feat/better-regex
    Explain error on bad regex
  * Explain error on bad regex
  * Merge pull request #103 <https://github.com/MOLAorg/mola/issues/103> from MOLAorg/feat/RegexCache
    Add utility RegexCache
  * Add utility RegexCache
  * Add has_converged_localization() method for state estimation
  * Merge pull request #100 <https://github.com/MOLAorg/mola/issues/100> from MOLAorg/fix/remove-mrpt-deprecated-maps
    Remove use of mrpt deprecated maps
  * Avoid use of deprecated mrpt::maps classes
  * Merge pull request #99 <https://github.com/MOLAorg/mola/issues/99> from MOLAorg/feat/ros2-bridge-pub-geographic
    ROS2 bridge: publish geographic poses too
  * ros2 bridge: use geographic_msgs, store the last georeference info internally, and publish georef poses
    merge of these commits:
    - Enable many more clang-tidy checks
    - lint clean
    - implement publishing georeferenced poses
    - mola-viz: fix potential crash on edge case with all points having NaN value
    - FIX: potential crash if no MapServer is present and map services are called
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 13 Feb 2026 23:00:00 -0000

ros-kilted-mola-kernel (2.4.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 27 Dec 2025 23:00:00 -0000

ros-kilted-mola-kernel (2.3.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 14 Dec 2025 23:00:00 -0000

ros-kilted-mola-kernel (2.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 07 Nov 2025 23:00:00 -0000

ros-kilted-mola-kernel (2.2.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 Oct 2025 23:00:00 -0000

ros-kilted-mola-kernel (2.1.0-1noble) noble; urgency=high

  * Send sensor_rate_decimation to Viz
  * interfaces/MapSourceBase: Add keep_last_one_only property
  * Make use of ConstPtr across API
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 19 Oct 2025 22:00:00 -0000

ros-kilted-mola-kernel (2.0.0-1noble) noble; urgency=high

  * Merge pull request #93 <https://github.com/MOLAorg/mola/issues/93> from MOLAorg/feature/better-lio
    Changes for new LIO
  * MolaViz: Add method clear_all_point_clouds_with_decay()
  * MolaViz: Add support for inserting clouds with decay_time
  * Large clean up of unused code from older MOLA versions.
    In particular, all abstract definitions of factors, entities, and WorldModel have been removed.
    It seems more natural and efficient to keep them in the specific SLAM modules.
  * Allow extra parameters in mola_viz per-sensor preview windows
  * fix clang-format
  * Modernize copyright notice
  * Remove old code that was needed to support very old MRPT versions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 12 Oct 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.9.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 06 Jul 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.9.0-1noble) noble; urgency=high

  * MapSourceBase: add a new optional field "metadata"
  * NavStateFilter interface: Now is a RawDataConsumer too
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 05 Jun 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.8.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 May 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.8.0-1noble) noble; urgency=high

  * Update Viz interface: add methods to run arbitrary Scene manipulation and camera orthographic mode
  * Update copyright year
  * fix reversed logic
  * clang-format fix
  * Add mola::Synchronizer for grouping observations
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 24 May 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.7.0-1noble) noble; urgency=high

  * code clean up: remove useless dtors, and mark the required copy ctors as deleted
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 05 May 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.6.4-1noble) noble; urgency=high

  * fix: Correctly handling Livox cloud timestamps ("double"s, but in nanoseconds) in BridgeROS2 and bag2 data sources. They are automatically detected, no need to change any parameter.
  * modernize clang-format
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 22 Apr 2025 22:00:00 -0000

ros-kilted-mola-kernel (1.6.3-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 14 Mar 2025 23:00:00 -0000

ros-kilted-mola-kernel (1.6.2-1noble) noble; urgency=high

  * ExecutableBase inteface: added diagnostics API
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 21 Feb 2025 23:00:00 -0000

ros-kilted-mola-kernel (1.6.1-1noble) noble; urgency=high

  * mola_kernel: Add Georeferencing structure and add it to map updates
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-kilted-mola-kernel (1.6.0-1noble) noble; urgency=high

  * Fix published /tf's: those from LocalizationSources now can explicitly define their parent and child frames
  * LocalizationSources now can explicitly define both, their reference and child frames for each estimated pose
  * docs: add state estimation images
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-kilted-mola-kernel (1.5.1-1noble) noble; urgency=high

  * NavStateFilter API: add estimated_trajectory()
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Dec 2024 23:00:00 -0000

ros-kilted-mola-kernel (1.5.0-1noble) noble; urgency=high

  * NavStateFilter Interface now also inherits from ExecutableBase for convenience
  * MinimalModuleContainer ctor should not be explicit
  * Add mola::MinimalModuleContainer
  * Drop dependency on mrpt-gui in kernel by abstracting MolaViz subwindow layout operations
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 25 Dec 2024 23:00:00 -0000

ros-kilted-mola-kernel (1.4.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 19 Dec 2024 23:00:00 -0000

ros-kilted-mola-kernel (1.4.0-1noble) noble; urgency=high

  * MOLA system yaml files: added "enabled" optional property for modules and rds visualizers
  * Add field for localization quality
  * cmake: remove duplicated info message
  * ExecutableBase: Add support for runtime-configurable parameter API
  * mola-kernel Doxygen docs: add groups
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-kilted-mola-kernel (1.3.0-1noble) noble; urgency=high

  * NavStateFilter interface: add API for merging GNSS observations
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-kilted-mola-kernel (1.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Sep 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.2.0-1noble) noble; urgency=high

  * Update RTTI macros for upcoming MRPT 2.14.0
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.1.3-1noble) noble; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.1.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.1.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.1.0-1noble) noble; urgency=high

  * add <mola_kernel/version.h> with a version-checking macro
  * Merge pull request #65 <https://github.com/MOLAorg/mola/issues/65> from MOLAorg/add-more-srvs
    Add more Services
  * Avoid cmake file glob expressions
  * mola_kernel: add MapServer interface
  * mola_kernel: add public symbols MOLA_{MAJOR,MINOR,PATCH}_VERSION
  * Update clang-format style; add reformat bash script
  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.8-1noble) noble; urgency=high

  * mola_kernel: add C++ virtual interface for relocalization methods
  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.7-1noble) noble; urgency=high

  * Viz interface: add API for rotate camera
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.6-1noble) noble; urgency=high

  * Create new NavStateFilter interface and separate the simple fuser and the factor-graph approach in two packages
  * mola_kernel: renamed factor FactorConstVelKinematics
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.5-1noble) noble; urgency=high

  * viz: fix mismatched free/delete inside nanogui layout
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.4-1noble) noble; urgency=high

  * bump cmake_minimum_required to 3.5
  * Avoid global static objects
  * remove useless #include's
  * Define Dataset_UI dtor/ctor in a separate translation unit
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.3-1noble) noble; urgency=high

  * Fix package.xml website URL
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-kilted-mola-kernel (1.0.1-1noble) noble; urgency=high

  * Remove now-useless build dependencies and includes for mola-kernel
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-mola-kernel (1.0.0-1noble) noble; urgency=high

  * add methods to query for subscribers
  * New interfaces
  * Refactor initialize()
  * mola_kernel: new UI interface for datasets
  * New option to shutdown automatically mola-cli after dataset ends
  * viz API: add enqueue_custom_nanogui_code()
  * mola_viz: show console messages
  * Correct usage of mola:: namespace in cmake targets
  * copyright update
  * mola_viz: support visualizing velodyne observations
  * Add look_at() viz interface
  * Fewer mutex locking()
  * dont force by default load() lazy-load observations
  * FrontEndBase: attach to VizInterface too
  * Fix loss of yaml key/values when using import-from-file feature
  * kitti eval cli moves to its own package
  * port to mrpt::lockHelper()
  * reorganize as monorepo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-kilted-mola-kernel (0.2.2-1noble) noble; urgency=high

  * Correct references to the license.
  * viz interface: new service update_3d_object()
  * Fix const-correctness of observations
  * FIX missing dependency on mrpt::gui for public header
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-kilted-mola-kernel (0.2.1-1noble) noble; urgency=high

  * Add virtual interface for dataset groundtruth
  * Update copyright date
  * Update to new colcon ROS2 build system
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 01 Sep 2023 22:00:00 -0000


